local MinBuild, MaxBuild, Build = 40000, 0, select(4, GetBuildInfo())
if Build < MinBuild or ( MaxBuild > 0 and Build > MaxBuild ) then return end
local AddonName, AddonTable = ...
local L = AddonTable.Localize
local s = SpellFlashAddon
local a = AddonTable
local x = SpellFlashAddon.UpdatedVariables

local function SetColor(UseColor, Color, ElseColor)
	if UseColor then
		return Color
	end
	return ElseColor or "Pink"
end

--[[
	White - Default
	Yellow - Limited Time or No Global Cooldown
	Purple - AOE or Positional Damage
	Blue - AOE Debuff
	Orange - Finishing Move
	Aqua - Spell Interrupt, Reflect or Dispel
	Green - Self Buff or Turn Autocast On
	Red - Emergency Mitigation Cooldowns or Turn Autocast Off
	Pink - Optional
]]


-- Use this single spam function and remove the multiple spam table below, or just use the multiple spam table below and leave this function in place.
s.Spam[AddonName] = function()
	if s.GetModuleConfig(AddonName, "spell_flashing_off") then return elseif AddonTable.Spam then RunSpamTable() else
		-- x.Enemy, x.ActiveEnemy, x.NoCC, x.InInstance, x.InstanceType, x.PetAlive, x.PetActiveEnemy, x.PetNoCC, x.Lag, x.DoubleLag, x.ThreatPercent

		if x.ActiveEnemy and s.Flashable(1752--[[Sinister Strike]]) and GetComboPoints("player") < 4 then
			if not s.Form(1784--[[Stealth]]) then
				s.Flash(1752--[[Sinister Strike]], "White")
			end
		end

		if x.ActiveEnemy and s.Flashable(84617--[[Revealing Strike]]) and GetComboPoints("player") == 4 then
			if not s.Form(1784--[[Stealth]]) then
				s.Flash(84617--[[Revealing Strike]], "Yellow")
			end
		end

		if x.ActiveEnemy and s.Flashable(2098--[[Eviscerate]]) and GetComboPoints("player") == 5 then
			s.Flash(2098--[[Eviscerate]], "Orange")
		end

		if x.ActiveEnemy and s.Flashable(1943--[[Rupture]]) and GetComboPoints("player") == 5 and not s.Debuff(1943--[[Rupture]]) then
			s.Flash(1943--[[Rupture]], "Orange")
		end

		if x.ActiveEnemy and s.Flashable(5171--[[Slice and Dice]]) and a.Castable["Slice and Dice"]() then
			if not s.MyBuff({5171--[[Slice and Dice]]}) then
				s.Flash(5171--[[Slice and Dice]], "Green")
			end
		end

		if x.ActiveEnemy and s.Flashable(13750--[[Adrenaline Rush]]) and a.Castable["Adrenaline Rush"]() then
			s.Flash(13750--[[Adrenaline Rush]], "Green")
		end

		if x.ActiveEnemy and s.Flashable(51690--[[Killing Spree]]) and a.Castable["Killing Spree"]() then
			s.Flash(51690--[[Killing Spree]], "White")
		end

	end
end
